aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-12-02 07:45:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-02 07:56:10 +0000
commite9b64cef93964d4e390d2cc6f3d92752a60fa551 (patch)
tree3dc175a55f3478c83d13499b1f09caa503d06ffb
parentc97211187897fb7c4fd51d235192c4be5f3fb4c6 (diff)
downloadalpine-iso-e9b64cef93964d4e390d2cc6f3d92752a60fa551.tar.bz2
alpine-iso-e9b64cef93964d4e390d2cc6f3d92752a60fa551.tar.xz
mklatest: include .tar.gz releases
fixes also the creation of empty \*- file when release file is missing
-rw-r--r--mklatest.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/mklatest.sh b/mklatest.sh
index 9f7e86e..fc6a067 100644
--- a/mklatest.sh
+++ b/mklatest.sh
@@ -13,7 +13,10 @@ fi
releasedir="$branch/releases/$arch"
do_stat() {
- for f in *-$current-$arch.iso; do
+ for f in *-$current-$arch.iso *-$current-$arch.*tar.gz; do
+ if ! [ -e "$f" ]; then
+ continue
+ fi
for hash in sha1 sha256 sha512; do
if ! [ -f "$f.$hash" ]; then
${hash}sum $f > $f.$hash
@@ -30,7 +33,7 @@ do_yaml() {
echo "---"
do_stat | while read date time filepath size sha1 sha256 sha512; do
file=${filepath##*/}
- flavor=${iso%-${current}-${arch}.iso}
+ flavor=${file%-${current}-${arch}.*}
echo "-"
echo " branch: $branch"
echo " arch: $arch"